# 32/64bit spec-file
#
%define name 	kmid
%define version 2.4.0
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/KDE4
URL:		http://kde-apps.org/content/show.php/KMid?content=116404
Source:		%{name}-%{version}.tar.xz
Source1:	drumstick-0.5.0-%{name}.tar.xz
Patch1:		kmid2-2.2.2-use-timidity-pulse.patch
Summary:	 KMid2 is a MIDI/Karaoke player for KDE4. 
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	desktop-file-utils
Requires:	oxygen-icon-theme
Obsoletes:	%name < %version

BuildConflicts: drumstick-devel


%description
KMid2 is a MIDI/karaoke file player, with configurable midi mapper, real
Session Management, drag & drop, customizable fonts, etc. It has a very
nice interface which let you easily follow the tune while changing the
color of the lyrics.
It supports output through external synthesizers, AWE, FM and GUS cards.
It also has a keyboard view to see the notes played by each instrument.

%package devel
Group:		Development/Libraries
Summary:	%{name} developement files
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files needed when building applications based on
%{name}.


%prep
%setup -q -a1  -n %{name}-%{version}
rm -rf drumstick
mv -f drumstick-0.5.0-%{name} drumstick
%patch1 -p0

%build
%cmake_kde4 -DBUILD_SHARED_LIBS=OFF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%files
%defattr(-,root,root)
%_bindir/kmid
%_libdir/kde4/kmid_alsa.so
%_libdir/kde4/kmid_part.so
%_datadir/applications/kde4/kmid.desktop
%_datadir/apps/kmid/*
%_datadir/apps/kmid_part/*
%_datadir/dbus-1/interfaces/org.kde.KMid*
%_datadir/doc/HTML/*/kmid/*
%_datadir/icons/hicolor/*/apps/*
%_datadir/kde4/services/*.desktop
%_datadir/kde4/servicetypes/*.desktop
%_datadir/locale/*/LC_MESSAGES/*.mo
%_datadir/config.kcfg/kmid.kcfg
%{_libdir}/libkmidbackend.so.1*


%files devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/libkmidbackend.so


%clean
rm -rf %{buildroot}


%changelog
* Thu Jun 04 2015 bb <bb> 2.4.0-2pclos2015
- rebuild with embedded drumstick 0.5 since
- it doesn't work with 1.0

* Sun Apr 28 2013 pinoc <vogtpet at gmail.com> 2.4.0-1pclos2013
- 2.4.0 on 32/64
- amended BR for kde 4.10
- added new kmid_part files to files

